searchNodes=[{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_data_sources_check_valid_creds/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_data_sources_check_valid_creds/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Returns true if valid credentials exist for the given data source and requesting user. Some data sources doesn&#39;t support service account, so we need to talk to them on behalf of the end user. This API just checks whether we have OAuth token for the particular user, which is a pre-requisite before user can create a transfer config. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server name (String.t): The data source in the form: &#x60;projects/{project_id}/dataSources/{data_source_id}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CheckValidCredsRequest): Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_data_sources_list/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_data_sources_list/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Lists supported data sources and returns their settings, which can be used for UI rendering. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): The BigQuery project id for which data sources should be returned. Must be in the form: &#x60;projects/{project_id}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Page size. The default page size is the maximum value of 1000 results. :pageToken (String.t): Pagination token, which can be used to request a specific page of &#x60;ListDataSourcesRequest&#x60; list results. For multiple-page results, &#x60;ListDataSourcesResponse&#x60; outputs a &#x60;next_page&#x60; token, which can be used as the &#x60;page_token&#x60; value to request the next page of list results. Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_list/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_list/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Lists information about the supported locations for this service. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server name (String.t): The resource that owns the locations collection, if applicable. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The standard list filter. :pageSize (integer()): The standard list page size. :pageToken (String.t): The standard list page token. Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_create/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_create/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Creates a new data transfer configuration. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): The BigQuery project id where the transfer configuration should be created. Must be in the format projects/{project_id}/locations/{location_id} If specified location and location of the destination bigquery dataset do not match - the request will fail. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :authorizationCode (String.t): Optional OAuth2 authorization code to use with this transfer configuration. This is required if new credentials are needed, as indicated by &#x60;CheckValidCreds&#x60;. In order to obtain authorization_code, please make a request to https://www.gstatic.com/bigquerydatatransfer/oauthz/auth?client_id&#x3D;&lt;datatransferapiclientid&gt;&amp;scope&#x3D;&lt;data_source_scopes&gt;&amp;redirect_uri&#x3D;&lt;redirect_uri&gt; client_id should be OAuth client_id of BigQuery DTS API for the given data source returned by ListDataSources method. data_source_scopes are the scopes returned by ListDataSources method. * redirect_uri is an optional parameter. If not specified, then authorization code is posted to the opener of authorization flow window. Otherwise it will be sent to the redirect uri. A special value of urn:ietf:wg:oauth:2.0:oob means that authorization code should be returned in the title bar of the browser, with the page text prompting the user to copy the code and paste it in the application. :versionInfo (String.t): Optional version info. If users want to find a very recent access token, that is, immediately after approving access, users have to set the version_info claim in the token request. To obtain the version_info, users must use the “none+gsession” response type. which be return a version_info back in the authorization response which be be put in a JWT claim in the token request. :body (TransferConfig): Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_list/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_list/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Returns information about all data transfers in the project. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): The BigQuery project id for which data sources should be returned: &#x60;projects/{project_id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :dataSourceIds ([String.t]): When specified, only configurations of requested data sources are returned. :pageSize (integer()): Page size. The default page size is the maximum value of 1000 results. :pageToken (String.t): Pagination token, which can be used to request a specific page of &#x60;ListTransfersRequest&#x60; list results. For multiple-page results, &#x60;ListTransfersResponse&#x60; outputs a &#x60;next_page&#x60; token, which can be used as the &#x60;page_token&#x60; value to request the next page of list results. Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_patch/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_patch/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Updates a data transfer configuration. All fields must be set, even if they are not updated. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server name (String.t): The resource name of the transfer config. Transfer config names have the form of &#x60;projects/{project_id}/locations/{region}/transferConfigs/{config_id}&#x60;. The name is automatically generated based on the config_id specified in CreateTransferConfigRequest along with project_id and region. If config_id is not provided, usually a uuid, even though it is not guaranteed or required, will be generated for config_id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :authorizationCode (String.t): Optional OAuth2 authorization code to use with this transfer configuration. If it is provided, the transfer configuration will be associated with the authorizing user. In order to obtain authorization_code, please make a request to https://www.gstatic.com/bigquerydatatransfer/oauthz/auth?client_id&#x3D;&lt;datatransferapiclientid&gt;&amp;scope&#x3D;&lt;data_source_scopes&gt;&amp;redirect_uri&#x3D;&lt;redirect_uri&gt; client_id should be OAuth client_id of BigQuery DTS API for the given data source returned by ListDataSources method. data_source_scopes are the scopes returned by ListDataSources method. * redirect_uri is an optional parameter. If not specified, then authorization code is posted to the opener of authorization flow window. Otherwise it will be sent to the redirect uri. A special value of urn:ietf:wg:oauth:2.0:oob means that authorization code should be returned in the title bar of the browser, with the page text prompting the user to copy the code and paste it in the application. :updateMask (String.t): Required list of fields to be updated in this request. :versionInfo (String.t): Optional version info. If users want to find a very recent access token, that is, immediately after approving access, users have to set the version_info claim in the token request. To obtain the version_info, users must use the “none+gsession” response type. which be return a version_info back in the authorization response which be be put in a JWT claim in the token request. :body (TransferConfig): Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_runs_delete/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_runs_delete/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Deletes the specified transfer run. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server name (String.t): The field will contain name of the resource requested, for example: &#x60;projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_runs_get/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_runs_get/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Returns information about the particular transfer run. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server name (String.t): The field will contain name of the resource requested, for example: &#x60;projects/{project_id}/transferConfigs/{config_id}/runs/{run_id}&#x60; optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_runs_list/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_runs_list/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Returns information about running and completed jobs. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): Name of transfer configuration for which transfer runs should be retrieved. Format of transfer configuration resource name is: &#x60;projects/{project_id}/transferConfigs/{config_id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Page size. The default page size is the maximum value of 1000 results. :pageToken (String.t): Pagination token, which can be used to request a specific page of &#x60;ListTransferRunsRequest&#x60; list results. For multiple-page results, &#x60;ListTransferRunsResponse&#x60; outputs a &#x60;next_page&#x60; token, which can be used as the &#x60;page_token&#x60; value to request the next page of list results. :runAttempt (String.t): Indicates how run attempts are to be pulled. :states ([String.t]): When specified, only transfer runs with requested states are returned. Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_runs_transfer_logs_list/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_runs_transfer_logs_list/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Returns user facing log messages for the data transfer run. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): Transfer run name in the form: &#x60;projects/{project_id}/transferConfigs/{config_Id}/runs/{run_id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :messageTypes ([String.t]): Message types to return. If not populated - INFO, WARNING and ERROR messages are returned. :pageSize (integer()): Page size. The default page size is the maximum value of 1000 results. :pageToken (String.t): Pagination token, which can be used to request a specific page of &#x60;ListTransferLogsRequest&#x60; list results. For multiple-page results, &#x60;ListTransferLogsResponse&#x60; outputs a &#x60;next_page&#x60; token, which can be used as the &#x60;page_token&#x60; value to request the next page of list results. Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_schedule_runs/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_schedule_runs/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Creates transfer runs for a time range [start_time, end_time]. For each date - or whatever granularity the data source supports - in the range, one transfer run is created. Note that runs are created per UTC time in the time range. DEPRECATED: use StartManualTransferRuns instead. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): Transfer configuration name in the form: &#x60;projects/{project_id}/transferConfigs/{config_id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ScheduleTransferRunsRequest): Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.html#bigquerydatatransfer_projects_locations_transfer_configs_start_manual_runs/4","title":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects.bigquerydatatransfer_projects_locations_transfer_configs_start_manual_runs/4","module":"GoogleApi.BigQueryDataTransfer.V1.Api.Projects","type":"function","doc":"Start manual transfer runs to be executed now with schedule_time equal to current time. The transfer runs can be created for a time range where the run_time is between start_time (inclusive) and end_time (exclusive), or for a specific run_time. Parameters connection (GoogleApi.BigQueryDataTransfer.V1.Connection): Connection to server parent (String.t): Transfer configuration name in the form: &#x60;projects/{project_id}/transferConfigs/{config_id}&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (StartManualTransferRunsRequest): Returns {:ok, %GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html","title":"GoogleApi.BigQueryDataTransfer.V1.Connection","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.BigQueryDataTransfer.V1."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#delete/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.delete/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#delete!/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.delete!/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#execute/2","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.execute/2","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#get/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.get/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#get!/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.get!/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#head/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.head/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#head!/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.head!/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#new/0","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.new/0","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#new/1","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.new/1","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#options/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.options/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#options!/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.options!/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#patch/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.patch/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#patch!/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.patch!/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#post/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.post/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#post!/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.post!/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#put/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.put/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#put!/4","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.put!/4","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#request/2","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.request/2","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#request!/2","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.request!/2","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#trace/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.trace/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#trace!/3","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.trace!/3","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Connection.html#t:option/0","title":"GoogleApi.BigQueryDataTransfer.V1.Connection.option/0","module":"GoogleApi.BigQueryDataTransfer.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Deserializer.html","title":"GoogleApi.BigQueryDataTransfer.V1.Deserializer","module":"GoogleApi.BigQueryDataTransfer.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest","type":"module","doc":"A request to determine whether the user has valid credentials. This method is used to limit the number of OAuth popups in the user interface. The user id is inferred from the API call context. If the data source has the Google+ authorization type, this method returns false, as it cannot be determined whether the credentials are already valid merely based on the user id. Attributes"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsRequest","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse","type":"module","doc":"A response indicating whether the credentials exist and are valid. Attributes hasValidCreds (boolean()): If set to &#x60;true&#x60;, the credentials exist and are valid. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.CheckValidCredsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource","type":"module","doc":"Represents data source metadata. Metadata is sufficient to render UI and request proper OAuth tokens. Attributes parameters ([DataSourceParameter]): Data source parameters. Defaults to: null. authorizationType (String.t): Indicates the type of authorization. Defaults to: null. Enum - one of [AUTHORIZATION_TYPE_UNSPECIFIED, AUTHORIZATION_CODE, GOOGLE_PLUS_AUTHORIZATION_CODE] clientId (String.t): Data source client id which should be used to receive refresh token. Defaults to: null. dataRefreshType (String.t): Specifies whether the data source supports automatic data refresh for the past few days, and how it&#39;s supported. For some data sources, data might not be complete until a few days later, so it&#39;s useful to refresh data automatically. Defaults to: null. Enum - one of [DATA_REFRESH_TYPE_UNSPECIFIED, SLIDING_WINDOW, CUSTOM_SLIDING_WINDOW] dataSourceId (String.t): Data source id. Defaults to: null. defaultDataRefreshWindowDays (integer()): Default data refresh window on days. Only meaningful when &#x60;data_refresh_type&#x60; &#x3D; &#x60;SLIDING_WINDOW&#x60;. Defaults to: null. defaultSchedule (String.t): Default data transfer schedule. Examples of valid schedules include: &#x60;1st,3rd monday of month 15:30&#x60;, &#x60;every wed,fri of jan,jun 13:15&#x60;, and &#x60;first sunday of quarter 00:00&#x60;. Defaults to: null. description (String.t): User friendly data source description string. Defaults to: null. displayName (String.t): User friendly data source name. Defaults to: null. helpUrl (String.t): Url for the help document for this data source. Defaults to: null. manualRunsDisabled (boolean()): Disables backfilling and manual run scheduling for the data source. Defaults to: null. minimumScheduleInterval (String.t): The minimum interval for scheduler to schedule runs. Defaults to: null. name (String.t): Output only. Data source resource name. Defaults to: null. scopes ([String.t]): Api auth scopes for which refresh token needs to be obtained. These are scopes needed by a data source to prepare data and ingest them into BigQuery, e.g., https://www.googleapis.com/auth/bigquery Defaults to: null. supportsCustomSchedule (boolean()): Specifies whether the data source supports a user defined schedule, or operates on the default schedule. When set to &#x60;true&#x60;, user can override default schedule. Defaults to: null. supportsMultipleTransfers (boolean()): Deprecated. This field has no effect. Defaults to: null. transferType (String.t): Deprecated. This field has no effect. Defaults to: null. Enum - one of [TRANSFER_TYPE_UNSPECIFIED, BATCH, STREAMING] updateDeadlineSeconds (integer()): The number of seconds to wait for an update from the data source before the Data Transfer Service marks the transfer as FAILED. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSource","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter","type":"module","doc":"Represents a data source parameter with validation rules, so that parameters can be rendered in the UI. These parameters are given to us by supported data sources, and include all needed information for rendering and validation. Thus, whoever uses this api can decide to generate either generic ui, or custom data source specific forms. Attributes allowedValues ([String.t]): All possible values for the parameter. Defaults to: null. description (String.t): Parameter description. Defaults to: null. displayName (String.t): Parameter display name in the user interface. Defaults to: null. fields ([DataSourceParameter]): Deprecated. This field has no effect. Defaults to: null. immutable (boolean()): Cannot be changed after initial creation. Defaults to: null. maxValue (float()): For integer and double values specifies maxminum allowed value. Defaults to: null. minValue (float()): For integer and double values specifies minimum allowed value. Defaults to: null. paramId (String.t): Parameter identifier. Defaults to: null. recurse (boolean()): Deprecated. This field has no effect. Defaults to: null. repeated (boolean()): Deprecated. This field has no effect. Defaults to: null. required (boolean()): Is parameter required. Defaults to: null. type (String.t): Parameter type. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, STRING, INTEGER, DOUBLE, BOOLEAN, RECORD, PLUS_PAGE] validationDescription (String.t): Description of the requirements for this field, in case the user input does not fulfill the regex pattern or min/max values. Defaults to: null. validationHelpUrl (String.t): URL to a help document to further explain the naming requirements. Defaults to: null. validationRegex (String.t): Regular expression which can be used for parameter validation. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.DataSourceParameter","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse","type":"module","doc":"Returns list of supported data sources and their metadata. Attributes dataSources ([DataSource]): List of supported data sources and their transfer settings. Defaults to: null. nextPageToken (String.t): Output only. The next-pagination token. For multiple-page list results, this token can be used as the &#x60;ListDataSourcesRequest.page_token&#x60; to request the next page of list results. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListDataSourcesResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse","type":"module","doc":"The response message for Locations.ListLocations. Attributes locations ([Location]): A list of locations that matches the specified filter in the request. Defaults to: null. nextPageToken (String.t): The standard List next-page token. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListLocationsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse","type":"module","doc":"The returned list of pipelines in the project. Attributes nextPageToken (String.t): Output only. The next-pagination token. For multiple-page list results, this token can be used as the &#x60;ListTransferConfigsRequest.page_token&#x60; to request the next page of list results. Defaults to: null. transferConfigs ([TransferConfig]): Output only. The stored pipeline transfer configurations. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferConfigsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse","type":"module","doc":"The returned list transfer run messages. Attributes nextPageToken (String.t): Output only. The next-pagination token. For multiple-page list results, this token can be used as the &#x60;GetTransferRunLogRequest.page_token&#x60; to request the next page of list results. Defaults to: null. transferMessages ([TransferMessage]): Output only. The stored pipeline transfer messages. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferLogsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse","type":"module","doc":"The returned list of pipelines in the project. Attributes nextPageToken (String.t): Output only. The next-pagination token. For multiple-page list results, this token can be used as the &#x60;ListTransferRunsRequest.page_token&#x60; to request the next page of list results. Defaults to: null. transferRuns ([TransferRun]): Output only. The stored pipeline transfer runs. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ListTransferRunsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Location.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Location","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Location","type":"module","doc":"A resource that represents Google Cloud Platform location. Attributes displayName (String.t): The friendly name for this location, typically a nearby city name. For example, &quot;Tokyo&quot;. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): Cross-service attributes for the location. For example {&quot;cloud.googleapis.com/region&quot;: &quot;us-east1&quot;} Defaults to: null. locationId (String.t): The canonical id for this location. For example: &#x60;&quot;us-east1&quot;&#x60;. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata. For example the available capacity at the given location. Defaults to: null. name (String.t): Resource name for the location, which may vary between implementations. For example: &#x60;&quot;projects/example-project/locations/us-east1&quot;&#x60; Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Location.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Location.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Location","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Location.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Location.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Location","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions","type":"module","doc":"Options customizing the data transfer schedule. Attributes disableAutoScheduling (boolean()): If true, automatic scheduling of data transfer runs for this configuration will be disabled. The runs can be started on ad-hoc basis using StartManualTransferRuns API. When automatic scheduling is disabled, the TransferConfig.schedule field will be ignored. Defaults to: null. endTime (DateTime.t): Defines time to stop scheduling transfer runs. A transfer run cannot be scheduled at or after the end time. The end time can be changed at any moment. The time when a data transfer can be trigerred manually is not limited by this option. Defaults to: null. startTime (DateTime.t): Specifies time to start scheduling transfer runs. The first run will be scheduled at or after the start time according to a recurrence pattern defined in the schedule string. The start time can be changed at any moment. The time when a data transfer can be trigerred manually is not limited by this option. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleOptions","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest","type":"module","doc":"A request to schedule transfer runs for a time range. Attributes endTime (DateTime.t): End time of the range of transfer runs. For example, &#x60;&quot;2017-05-30T00:00:00+00:00&quot;&#x60;. Defaults to: null. startTime (DateTime.t): Start time of the range of transfer runs. For example, &#x60;&quot;2017-05-25T00:00:00+00:00&quot;&#x60;. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsRequest","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse","type":"module","doc":"A response to schedule transfer runs for a time range. Attributes runs ([TransferRun]): The transfer runs that were scheduled. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.ScheduleTransferRunsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest","type":"module","doc":"A request to start manual transfer runs. Attributes requestedRunTime (DateTime.t): Specific run_time for a transfer run to be started. The requested_run_time must not be in the future. Defaults to: null. requestedTimeRange (TimeRange): Time range for the transfer runs that should be started. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsRequest","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse","type":"module","doc":"A response to start manual transfer runs. Attributes runs ([TransferRun]): The transfer runs that were created. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.StartManualTransferRunsResponse","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Status.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Status","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Status.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Status.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Status","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.Status.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.Status.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.Status","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange","type":"module","doc":"A specification for a time range, this will request transfer runs with run_time between start_time (inclusive) and end_time (exclusive). Attributes endTime (DateTime.t): End time of the range of transfer runs. For example, &#x60;&quot;2017-05-30T00:00:00+00:00&quot;&#x60;. The end_time must not be in the future. Creates transfer runs where run_time is in the range betwen start_time (inclusive) and end_time (exlusive). Defaults to: null. startTime (DateTime.t): Start time of the range of transfer runs. For example, &#x60;&quot;2017-05-25T00:00:00+00:00&quot;&#x60;. The start_time must be strictly less than the end_time. Creates transfer runs where run_time is in the range betwen start_time (inclusive) and end_time (exlusive). Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TimeRange","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig","type":"module","doc":"Represents a data transfer configuration. A transfer configuration contains all metadata needed to perform a data transfer. For example, &#x60;destination_dataset_id&#x60; specifies where data should be stored. When a new transfer configuration is created, the specified &#x60;destination_dataset_id&#x60; is created when needed and shared with the appropriate data source service account. Attributes dataRefreshWindowDays (integer()): The number of days to look back to automatically refresh the data. For example, if &#x60;data_refresh_window_days &#x3D; 10&#x60;, then every day BigQuery reingests data for [today-10, today-1], rather than ingesting data for just [today-1]. Only valid if the data source supports the feature. Set the value to 0 to use the default value. Defaults to: null. dataSourceId (String.t): Data source id. Cannot be changed once data transfer is created. Defaults to: null. datasetRegion (String.t): Output only. Region in which BigQuery dataset is located. Defaults to: null. destinationDatasetId (String.t): The BigQuery target dataset id. Defaults to: null. disabled (boolean()): Is this config disabled. When set to true, no runs are scheduled for a given transfer. Defaults to: null. displayName (String.t): User specified display name for the data transfer. Defaults to: null. name (String.t): The resource name of the transfer config. Transfer config names have the form of &#x60;projects/{project_id}/locations/{region}/transferConfigs/{config_id}&#x60;. The name is automatically generated based on the config_id specified in CreateTransferConfigRequest along with project_id and region. If config_id is not provided, usually a uuid, even though it is not guaranteed or required, will be generated for config_id. Defaults to: null. nextRunTime (DateTime.t): Output only. Next time when data transfer will run. Defaults to: null. params (%{optional(String.t) &#x3D;&gt; String.t}): Data transfer specific parameters. Defaults to: null. schedule (String.t): Data transfer schedule. If the data source does not support a custom schedule, this should be empty. If it is empty, the default value for the data source will be used. The specified times are in UTC. Examples of valid format: &#x60;1st,3rd monday of month 15:30&#x60;, &#x60;every wed,fri of jan,jun 13:15&#x60;, and &#x60;first sunday of quarter 00:00&#x60;. See more explanation about the format here: https://cloud.google.com/appengine/docs/flexible/python/scheduling-jobs-with-cron-yaml#the_schedule_format NOTE: the granularity should be at least 8 hours, or less frequent. Defaults to: null. scheduleOptions (ScheduleOptions): Options customizing the data transfer schedule. Defaults to: null. state (String.t): Output only. State of the most recently updated transfer run. Defaults to: null. Enum - one of [TRANSFER_STATE_UNSPECIFIED, PENDING, RUNNING, SUCCEEDED, FAILED, CANCELLED] updateTime (DateTime.t): Output only. Data transfer modification time. Ignored by server on input. Defaults to: null. userId (String.t): Deprecated. Unique ID of the user on whose behalf transfer is done. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferConfig","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage","type":"module","doc":"Represents a user facing message for a particular data transfer run. Attributes messageText (String.t): Message text. Defaults to: null. messageTime (DateTime.t): Time when message was logged. Defaults to: null. severity (String.t): Message severity. Defaults to: null. Enum - one of [MESSAGE_SEVERITY_UNSPECIFIED, INFO, WARNING, ERROR]"},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferMessage","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun.html","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun","type":"module","doc":"Represents a data transfer run. Attributes dataSourceId (String.t): Output only. Data source id. Defaults to: null. destinationDatasetId (String.t): Output only. The BigQuery target dataset id. Defaults to: null. endTime (DateTime.t): Output only. Time when transfer run ended. Parameter ignored by server for input requests. Defaults to: null. errorStatus (Status): Status of the transfer run. Defaults to: null. name (String.t): The resource name of the transfer run. Transfer run names have the form &#x60;projects/{project_id}/locations/{location}/transferConfigs/{config_id}/runs/{run_id}&#x60;. The name is ignored when creating a transfer run. Defaults to: null. params (%{optional(String.t) &#x3D;&gt; String.t}): Output only. Data transfer specific parameters. Defaults to: null. runTime (DateTime.t): For batch transfer runs, specifies the date and time that data should be ingested. Defaults to: null. schedule (String.t): Output only. Describes the schedule of this transfer run if it was created as part of a regular schedule. For batch transfer runs that are scheduled manually, this is empty. NOTE: the system might choose to delay the schedule depending on the current load, so &#x60;schedule_time&#x60; doesn&#39;t always match this. Defaults to: null. scheduleTime (DateTime.t): Minimum time after which a transfer run can be started. Defaults to: null. startTime (DateTime.t): Output only. Time when transfer run was started. Parameter ignored by server for input requests. Defaults to: null. state (String.t): Data transfer run state. Ignored for input requests. Defaults to: null. Enum - one of [TRANSFER_STATE_UNSPECIFIED, PENDING, RUNNING, SUCCEEDED, FAILED, CANCELLED] updateTime (DateTime.t): Output only. Last time the data transfer run state was updated. Defaults to: null. userId (String.t): Deprecated. Unique ID of the user on whose behalf transfer is done. Defaults to: null."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun.html#decode/2","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun.decode/2","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun.html#t:t/0","title":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun.t/0","module":"GoogleApi.BigQueryDataTransfer.V1.Model.TransferRun","type":"type","doc":""},{"ref":"GoogleApi.BigQueryDataTransfer.V1.RequestBuilder.html","title":"GoogleApi.BigQueryDataTransfer.V1.RequestBuilder","module":"GoogleApi.BigQueryDataTransfer.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]